Odoo中文社区可以通过以下三个域名访问:shine-it.net , odoocn.org,odoo.net.cn

原论坛用户的基本信息和发帖这里都予以保留,请注意:原论坛用户无需重新注册新用户,但是您的密码需要重置

开发人员可以登录gitter讨论组: http://gitter.im/odoo-china/Talk, 需要github账号

如果您登录系统碰到问题,请在微信公众号留言:

补充 Ubuntu下odoo10源码安装教程(感谢原作者)



  • 补充 Ubuntu下odoo10源码安装教程
    ***感谢原作者的发布,本人安装过程中出现一些问题,这里记录说明一下。
    本人安装平台 ubuntu 16.04.3 LTS
    odoo 10.0


    H happy 2017年5月27日 下午5:10
    1.下载社区版odoo10源码
    下载地址:https://www.odoo.com/zh_CN/page/download
    下载的源码 解压后 setup目录有个“odoo” 文件改为可执行,就是后面运行的odoo-bin
    git下载:$ git clone https://github.com/odoo/odoo.git
    2.安装依赖项
    Python 2.7
    安装教程:ubuntu14.10系统下安装python2.7.9
    Note:如果Python已成功安装,确保安装的版本是2.7.9,更低的版本或3.x的版本odoo10不兼容
    Postgresql
    安装教程:Ubuntu PostgreSQL安装和配置
    安装后,您将需要创建一个postgres用户:默认情况下唯一的用户是postgres,而Odoo禁止以postgres用户名的形式连接数据库。
    执行命令:sudo su - postgres -c "createuser -s $USER"
    因为登录角色与您的unix登录unix套接字相同,可以使用没有密码。

    进入odoo10 的下载目录,
    安装odoo10 所需的python依赖
    pip install -r requirements.txt
    如果python-pip没有安装,先安装python-pip
    安装过程中 发现缺少
    zlib-dev
    libldap2-dev
    libsasl2-dev 三个包
    用 apt-get install 安装一下

    Less
    安装less
    $ apt-get install -y npm
    $ sudo ln -s /usr/bin/nodejs /usr/bin/node
    $ sudo npm install -g less
    3.安装环境依赖
    安装python packages
    $ pip install -r requirements.txt

    $ sudo apt-get install python-dateutil python-feedparser python-ldap python-libxslt1 python-lxml python-mako python-openid python-psycopg2 python-pybabel python-pychart python-pydot python-pyparsing python-reportlab python-simplejson python-tz python-vatnumber python-vobject python-webdav python-werkzeug python-xlwt python-yaml python-zsi python-docutils python-psutil python-mock python-unittest2 python-jinja2 python-pypdf python-decorator python-requests python-passlib python-pil python-suds -y

    4.执行命令odoo-bin


登录后回复
 

与 Odoo 中文社区 的连接断开,我们正在尝试重连,请耐心等待